Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.maven
Interface MavenFactory

    public interface MavenFactory

Factory for various types related to Maven dependency management.

Method Summary
`Conf2ScopeMappingContainer` | `createConf2ScopeMappingContainer(Map<Configuration,Conf2ScopeMapping> mappings)`
`org.gradle.api.internal.Factory<MavenPom>` | `createMavenPomFactory(ConfigurationContainer configurationContainer, Conf2ScopeMappingContainer conf2ScopeMappingContainer, org.gradle.api.internal.file.FileResolver fileResolver)`
`org.gradle.api.internal.Factory<MavenPom>` | `createMavenPomFactory(ConfigurationContainer configurationContainer, Map<Configuration,Conf2ScopeMapping> mappings, org.gradle.api.internal.file.FileResolver fileResolver)`

Method Detail

### createMavenPomFactory

    org.gradle.api.internal.Factory<MavenPom> createMavenPomFactory(ConfigurationContainer configurationContainer,
                                                                    Map<Configuration,Conf2ScopeMapping> mappings,
                                                                    org.gradle.api.internal.file.FileResolver fileResolver)

### createMavenPomFactory

    org.gradle.api.internal.Factory<MavenPom> createMavenPomFactory(ConfigurationContainer configurationContainer,
                                                                    Conf2ScopeMappingContainer conf2ScopeMappingContainer,
                                                                    org.gradle.api.internal.file.FileResolver fileResolver)

### createConf2ScopeMappingContainer

    Conf2ScopeMappingContainer createConf2ScopeMappingContainer(Map<Configuration,Conf2ScopeMapping> mappings)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD